# Generated by Django 2.1.1 on 2018-09-17 07:43

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('users', '0002_delete_problems'),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(max_length=50)),
                ('fullname', models.TextField()),
                ('country', models.TextField()),
                ('state', models.TextField()),
                ('city', models.TextField()),
                ('allContestRankingGlobal', models.IntegerField()),
                ('allContestRankingCountry', models.IntegerField()),
                ('longRankingGloabl', models.IntegerField()),
                ('longRankingCountry', models.IntegerField()),
                ('shortRankingGlobal', models.IntegerField()),
                ('shortRankingCountry', models.IntegerField()),
                ('ltimeRankingGlobal', models.IntegerField()),
                ('ltimeRankingCountry', models.IntegerField()),
                ('allSchoolRankingGlobal', models.IntegerField()),
                ('allSchoolRankingLocal', models.IntegerField()),
                ('longSchoolRankingGlobal', models.IntegerField()),
                ('longSchoolRankingCountry', models.IntegerField()),
                ('shortSchoolRankingGlobal', models.IntegerField()),
                ('shortSchoolRankingCountry', models.IntegerField()),
                ('ltimeSchoolRankingGlobal', models.IntegerField()),
                ('ltimeSchoolRankingCountry', models.IntegerField()),
                ('allContestRating', models.IntegerField()),
                ('longRating', models.IntegerField()),
                ('shortRating', models.IntegerField()),
                ('lTimeRating', models.IntegerField()),
                ('allSchoolContestRating', models.IntegerField()),
                ('longSchoolRating', models.IntegerField()),
                ('shortSchoolRating', models.IntegerField()),
                ('lTimeSchoolRating', models.IntegerField()),
                ('occupation', models.TextField()),
                ('organization', models.TextField()),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
